org.apache.commons.math3.distribution

## Interface RealDistribution

- All Known Implementing Classes:
    AbstractRealDistribution, BetaDistribution, CauchyDistribution, ChiSquaredDistribution, ExponentialDistribution, FDistribution, GammaDistribution, LogNormalDistribution, NormalDistribution, TDistribution, TriangularDistribution, UniformRealDistribution, WeibullDistribution

      public interface RealDistribution

  Base interface for distributions on the reals.
  Since:
    3.0
  Version:
    $Id: RealDistribution.java 1244107 2012-02-14 16:17:55Z erans $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `cumulativeProbability(double x)` For a random variable `X` whose values are distributed according to this distribution, this method returns `P(X <= x)`.
    `double` | `cumulativeProbability(double x0, double x1)` For a random variable `X` whose values are distributed according to this distribution, this method returns `P(x0 < X <= x1)`.
    `double` | `density(double x)` Returns the probability density function (PDF) of this distribution evaluated at the specified point `x`.
    `double` | `getNumericalMean()` Use this method to get the numerical value of the mean of this distribution.
    `double` | `getNumericalVariance()` Use this method to get the numerical value of the variance of this distribution.
    `double` | `getSupportLowerBound()` Access the lower bound of the support.
    `double` | `getSupportUpperBound()` Access the upper bound of the support.
    `double` | `inverseCumulativeProbability(double p)` Computes the quantile function of this distribution.
    `boolean` | `isSupportConnected()` Use this method to get information about whether the support is connected, i.e.
    `boolean` | `isSupportLowerBoundInclusive()` Use this method to get information about whether the lower bound of the support is inclusive or not.
    `boolean` | `isSupportUpperBoundInclusive()` Use this method to get information about whether the upper bound of the support is inclusive or not.
    `double` | `probability(double x)` For a random variable `X` whose values are distributed according to this distribution, this method returns `P(X = x)`.
    `void` | `reseedRandomGenerator(long seed)` Reseed the random generator used to generate samples.
    `double` | `sample()` Generate a random value sampled from this distribution.
    `double[]` | `sample(int sampleSize)` Generate a random sample from the distribution.

- - ### Method Detail

    - #### probability

          double probability(double x)

      For a random variable `X` whose values are distributed according to this distribution, this method returns `P(X = x)`. In other words, this method represents the probability mass function (PMF) for the distribution.
      Parameters:
        `x` - the point at which the PMF is evaluated
      Returns:
        the value of the probability mass function at point `x`

    - #### density

          double density(double x)

      Returns the probability density function (PDF) of this distribution evaluated at the specified point `x`. In general, the PDF is the derivative of the `CDF`. If the derivative does not exist at `x`, then an appropriate replacement should be returned, e.g. `Double.POSITIVE_INFINITY`, `Double.NaN`, or the limit inferior or limit superior of the difference quotient.
      Parameters:
        `x` - the point at which the PDF is evaluated
      Returns:
        the value of the probability density function at point `x`

    - #### cumulativeProbability

          double cumulativeProbability(double x)

      For a random variable `X` whose values are distributed according to this distribution, this method returns `P(X <= x)`. In other words, this method represents the (cumulative) distribution function (CDF) for this distribution.
      Parameters:
        `x` - the point at which the CDF is evaluated
      Returns:
        the probability that a random variable with this distribution takes a value less than or equal to `x`

    - #### cumulativeProbability

          double cumulativeProbability(double x0,
                                     double x1)
                                       throws NumberIsTooLargeException

      For a random variable `X` whose values are distributed according to this distribution, this method returns `P(x0 < X <= x1)`.
      Parameters:
        `x0` - the exclusive lower bound
        `x1` - the inclusive upper bound
      Returns:
        the probability that a random variable with this distribution takes a value between `x0` and `x1`, excluding the lower and including the upper endpoint
      Throws:
        `NumberIsTooLargeException` - if `x0 > x1`

    - #### inverseCumulativeProbability

          double inverseCumulativeProbability(double p)
                                              throws OutOfRangeException

      Computes the quantile function of this distribution. For a random variable `X` distributed according to this distribution, the returned value is
      - `inf{x in R | P(X<=x) >= p}` for `0 < p <= 1`,
      - `inf{x in R | P(X<=x) > 0}` for `p = 0`.
      Parameters:
        `p` - the cumulative probability
      Returns:
        the smallest `p`-quantile of this distribution (largest 0-quantile for `p = 0`)
      Throws:
        `OutOfRangeException` - if `p < 0` or `p > 1`

    - #### getNumericalMean

          double getNumericalMean()

      Use this method to get the numerical value of the mean of this distribution.
      Returns:
        the mean or `Double.NaN` if it is not defined

    - #### getNumericalVariance

          double getNumericalVariance()

      Use this method to get the numerical value of the variance of this distribution.
      Returns:
        the variance (possibly `Double.POSITIVE_INFINITY` as for certain cases in `TDistribution`) or `Double.NaN` if it is not defined

    - #### getSupportLowerBound

          double getSupportLowerBound()

      Access the lower bound of the support. This method must return the same value as `inverseCumulativeProbability(0)`. In other words, this method must return

      `inf {x in R | P(X <= x) > 0}`.

      Returns:
        lower bound of the support (might be `Double.NEGATIVE_INFINITY`)

    - #### getSupportUpperBound

          double getSupportUpperBound()

      Access the upper bound of the support. This method must return the same value as `inverseCumulativeProbability(1)`. In other words, this method must return

      `inf {x in R | P(X <= x) = 1}`.

      Returns:
        upper bound of the support (might be `Double.POSITIVE_INFINITY`)

    - #### isSupportLowerBoundInclusive

          boolean isSupportLowerBoundInclusive()

      Use this method to get information about whether the lower bound of the support is inclusive or not.
      Returns:
        whether the lower bound of the support is inclusive or not

    - #### isSupportUpperBoundInclusive

          boolean isSupportUpperBoundInclusive()

      Use this method to get information about whether the upper bound of the support is inclusive or not.
      Returns:
        whether the upper bound of the support is inclusive or not

    - #### isSupportConnected

          boolean isSupportConnected()

      Use this method to get information about whether the support is connected, i.e. whether all values between the lower and upper bound of the support are included in the support.
      Returns:
        whether the support is connected or not

    - #### reseedRandomGenerator

          void reseedRandomGenerator(long seed)

      Reseed the random generator used to generate samples.
      Parameters:
        `seed` - the new seed

    - #### sample

          double sample()

      Generate a random value sampled from this distribution.
      Returns:
        a random value.

    - #### sample

          double[] sample(int sampleSize)

      Generate a random sample from the distribution.
      Parameters:
        `sampleSize` - the number of random values to generate
      Returns:
        an array representing the random sample
      Throws:
        `NotStrictlyPositiveException` - if `sampleSize` is not positive

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.